contacts.lists.update
Rename a list.
Reference
PATCH/api/v1/contact-lists/{contact_list_id}
- Auth
- API key in
X-API-Key - Content
- application/json
- Returns
- 200 · ContactListResponse
Arguments
| Argument | In | Type | Required | Description |
|---|---|---|---|---|
contact_list_id | path | integer | required | |
name | body | string | required | |
description | body | string | optional |
Example request
curl -X PATCH "https://api.decibyl.ai/api/v1/contact-lists/<contact_list_id>" \
-H "X-API-Key: dcb_your_key" \
-H "Content-Type: application/json" \
-d '{"name":"string","description":"string"}'Response
{
"id": 1,
"name": "string",
"description": "string",
"contact_count": 0
}Errors
| Status | When |
|---|---|
404 | Not found |
422 | Validation Error |